Bug 1371478 - fatal failure to set MAC address on wifi
Summary: fatal failure to set MAC address on wifi
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 25
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Thomas Haller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-30 10:00 UTC by Daniel Stone
Modified: 2016-09-17 00:57 UTC (History)
6 users (show)

Fixed In Version: NetworkManager-1.4.0-4.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1371623 (view as bug list)
Environment:
Last Closed: 2016-09-17 00:57:52 UTC


Attachments (Terms of Use)

Description Daniel Stone 2016-08-30 10:00:42 UTC
Using a brcmfmac device, I can no longer connect to any wifi networks as of NetworkManager 1:1.4.0-1.fc25.x86_64; downgrading to 1:1.4.0-0.5.git20160621.072358da.fc25.x86_64 restores things. I had to tether through my phone to be able to downgrade.

It seems to be treating a failure to set the MAC address as fatal:

NetworkManager[1082]: <info>  [1472550314.3189] device (wlp58s0): Activation: starting connection '[ESSID]' ([UUID])
NetworkManager[1082]: <info>  [1472550314.3190] device (wlp58s0): state change: disconnected -> prepare (reason 'none') [30 40 0]
NetworkManager[1082]: <warn>  [1472550314.8215] device (wlp58s0): set-hw-addr: new MAC address [MAC] not successfully set to set-cloned (permanent)
kernel: IPv6: ADDRCONF(NETDEV_UP): wlp58s0: link is not ready
NetworkManager[1082]: <info>  [1472550314.8226] device (wlp58s0): state change: prepare -> failed (reason 'none') [40 120 0]
NetworkManager[1082]: <warn>  [1472550314.8231] device (wlp58s0): Activation: failed for connection '[ESSID]'
NetworkManager[1082]: <info>  [1472550314.8249] device (wlp58s0): state change: failed -> disconnected (reason 'none') [120 30 0]

Adding insult to injury, the MAC address it lists is ... already the device's permanent MAC address.

Network scanning seems to fail for the same reason, but it will pull results if I manually run scanning through iwlist.

Comment 2 Fedora Update System 2016-08-30 11:44:48 UTC
NetworkManager-1.4.0-2.fc25 network-manager-applet-1.4.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-788a7edfd7

Comment 3 Fedora Update System 2016-08-30 11:44:59 UTC
NetworkManager-1.4.0-2.fc25 network-manager-applet-1.4.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-788a7edfd7

Comment 4 Fedora Update System 2016-08-31 03:53:24 UTC
NetworkManager-1.4.0-2.fc25, network-manager-applet-1.4.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-788a7edfd7

Comment 5 Daniel Stone 2016-08-31 14:01:26 UTC
1.4.0-2 is better, but not perfect. It does connect to networks eventually, but needs quite a bit of kicking and repetition to get it to work, as it still fails scanning and connections based on the MAC swapping failing. At one stage I had to restart NM entirely to get it to succeed.

I'll get TRACE logs when I can.

Comment 6 Thomas Haller 2016-08-31 15:18:29 UTC
(In reply to Daniel Stone from comment #5)
> 1.4.0-2 is better, but not perfect. It does connect to networks eventually,
> but needs quite a bit of kicking and repetition to get it to work, as it
> still fails scanning and connections based on the MAC swapping failing. At
> one stage I had to restart NM entirely to get it to succeed.
> 
> I'll get TRACE logs when I can.

first it would be interesting to see TRACE logs for 1.4.0-1. Otherwise, it cannot be said what the reason for your original failure is.

Comment 7 Fedora Update System 2016-09-03 17:39:10 UTC
NetworkManager-1.4.0-2.fc25, network-manager-applet-1.4.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Thomas Haller 2016-09-13 09:28:13 UTC
seems to properly fix this, it needs more.

See
- https://bugzilla.redhat.com/show_bug.cgi?id=1374023#c30
- https://bugzilla.gnome.org/show_bug.cgi?id=770504#c20

This will be done with NetworkManager-1.4.0-4.fc25

Comment 9 Fedora Update System 2016-09-13 10:35:26 UTC
NetworkManager-1.4.0-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ca43312fe9

Comment 10 Fedora Update System 2016-09-14 03:24:59 UTC
NetworkManager-1.4.0-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ca43312fe9

Comment 11 Fedora Update System 2016-09-17 00:57:49 UTC
NetworkManager-1.4.0-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.